OpenVDB 5.1.0

Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
MathOp< IterT, OpT, StatsT > Struct Template Reference

`#include <Statistics.h>`

## Public Types
typedef IterT::TreeT | TreeT
typedef TreeT::ValueType | ValueT
typedef tree::ValueAccessor< const TreeT > | ConstAccessor

## Public Member Functions
| MathOp (const IterT &iter, const OpT &op)
void | operator() (const IterT &it)
void | join (MathOp &other)

## Static Public Member Functions
template<typename TreeT >
static TreeT * | THROW_IF_NULL (TreeT *ptr)

## Public Attributes
ConstAccessor | mAcc
OpT | mOp
StatsT | mStats

## Member Typedef Documentation

## ◆ ConstAccessor

typedef tree::ValueAccessor<const TreeT> ConstAccessor

## ◆ TreeT

typedef IterT::TreeT TreeT

## ◆ ValueT

typedef TreeT::ValueType ValueT

## Constructor & Destructor Documentation

## ◆ MathOp()

MathOp | ( | const IterT & | iter,
|  | const OpT & | op
| ) |  |
| inline

## Member Function Documentation

## ◆ join()

void join | ( | MathOp< IterT, OpT, StatsT > & | other | ) |
| inline

## ◆ operator()()

void operator() | ( | const IterT & | it | ) |
| inline

## ◆ THROW_IF_NULL()

static TreeT* THROW_IF_NULL | ( | TreeT * | ptr | ) |
| inline static

## Member Data Documentation

## ◆ mAcc

ConstAccessor mAcc

## ◆ mOp

OpT mOp

## ◆ mStats

StatsT mStats

The documentation for this struct was generated from the following file:

- Statistics.h